uk.gov.hmrc.objectstore.client.play

# PlayObjectStoreContentWrites

###
Related Doc: package play

#### trait PlayObjectStoreContentWrites extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
Implicits
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayObjectStoreContentWrites
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### implicit def akkaSourceContentWrite[F[_], Mat](implicit ec: ExecutionContext, m: Materializer, F: PlayMonad[F]): ObjectStoreContentWrite[F, Source[ByteString, Mat], Request]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### implicit def bytesWrite[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentWrite[F, Array[Byte], Request]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### implicit def fileWrite[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentWrite[F, File, Request]

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### implicit def payloadAkkaSourceContentWrite[F[_], Mat](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentWrite[F, Payload[Source[ByteString, Mat]], Request]

19. #### implicit def stringWrite[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentWrite[F, String, Request]

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped